// priority: 100

onEvent('recipes', e => {

//Slabs To Blocks
    
e.forEachRecipe({ type: 'minecraft:crafting_shaped', output: '#minecraft:slabs' }, r => {
    e.shaped(r.inputItems[0], ["A", "A"], { A: r.outputItems[0].withCount(1) })})
    
//Smelting

// e.smelting(black_iron_ingot, compressed_iron_ingot).id('extendedcrafting:black_iron_ingot')

//Quark

function corundum (color){
e.shaped(`2x quark:${color}_corundum`, [' B ','BCB', ' B '], {B: 'caveopolis:bright_shard', C: `caveopolis:${color}_colored_stone`}).id(`caveopolis:${color}_corundum`)
}

corundum ('red')
corundum ('orange')
corundum ('yellow')
corundum ('green')
corundum ('blue')
corundum ('white')
corundum ('black')

e.shaped(`2x quark:violet_corundum`, [' B ','BCB', ' B '], {B: 'caveopolis:bright_shard', C: `caveopolis:pink_colored_stone`}).id(`caveopolis:violet_corundum`)
e.shaped(`2x quark:indigo_corundum`, [' B ','BCB', ' B '], {B: 'caveopolis:bright_shard', C: `caveopolis:cyan_colored_stone`}).id(`caveopolis:cyan_corundum`)


//Crafting (Stone Chests)

e.shaped('2x stonechest:part_stone', ['BSB','S S', 'BSB'], {B: 'minecraft:stone', S: 'caveopolis:stone_stick'}).id('stonechest:part_stone')
e.shaped('2x stonechest:part_granite', ['BSB','S S', 'BSB'], {B: 'minecraft:granite', S: 'caveopolis:stone_stick'}).id('stonechest:part_granite')
e.shaped('2x stonechest:part_diorite', ['BSB','S S', 'BSB'], {B: 'minecraft:diorite', S: 'caveopolis:stone_stick'}).id('stonechest:part_diorite')
e.shaped('2x stonechest:part_deepslate', ['BSB','S S', 'BSB'], {B: 'minecraft:deepslate', S: 'caveopolis:stone_stick'}).id('stonechest:part_deepslate')
e.shaped('2x stonechest:part_cobblestone', ['BSB','S S', 'BSB'], {B: 'minecraft:cobblestone', S: 'caveopolis:stone_stick'}).id('stonechest:part_cobblestone')
e.shaped('2x stonechest:part_cobbled_deepslate', ['BSB','S S', 'BSB'], {B: 'minecraft:cobbled_deepslate', S: 'caveopolis:stone_stick'}).id('stonechest:part_cobbled_deepslate') 
e.shaped('2x stonechest:part_calcite', ['BSB','S S', 'BSB'], {B: 'minecraft:calcite', S: 'caveopolis:stone_stick'}).id('stonechest:part_calcite')
e.shaped('2x stonechest:part_andesite', ['BSB','S S', 'BSB'], {B: 'minecraft:andesite', S: 'caveopolis:stone_stick'}).id('stonechest:part_andesite')
e.shaped('2x stonechest:part_tuff', ['BSB','S S', 'BSB'], {B: 'minecraft:tuff', S: 'caveopolis:stone_stick'}).id('stonechest:part_tuff') 
e.shaped('2x stonechest:part_prismarine', ['BSB','S S', 'BSB'], {B: 'minecraft:prismarine', S: 'caveopolis:stone_stick'}).id('stonechest:part_prismarine')

//Crafting (Cosmopolis)

e.shaped('cosmopolis:space_suit_upgrade', ['UCI','D D', 'ICU'], {U: 'caveopolis:ultimate_shard', C:'caveopolis:color_crystal', I: 'caveopolis:ingot_of_ingots', D: 'caveopolis:dragon_core'}).id('cosmopolis:space_suit_upgrade')
e.shaped('cosmopolis:space_portal_frame', ['SS','SS'], {S: 'cosmopolis:space_suit_upgrade'}).id('cosmopolis:armor/space_portal_frame')


//Mekanism

e.custom({type:"mekanism:rotary",fluidInput:{amount:1,"fluid":"caveopolis:nuclear_waste_fluid"},gasOutput:{gas:"mekanism:nuclear_waste",amount:1},gasInput:{amount:1,gas: "mekanism:nuclear_waste"},fluidOutput:{fluid:"caveopolis:nuclear_waste_fluid",amount:1}})

//Crafting Minecraft

e.shaped('minecraft:blaze_rod', ['BBB','B B', 'BBB'], {B: 'minecraft:blaze_powder'}).id('caveopolis:blaze_rod')
e.shaped('minecraft:amethyst_shard', [' P ','PBP', ' P '], {P: 'minecraft:purple_dye', B: 'caveopolis:bright_shard'}).id('caveopolis:amethyst_shard')

//Crafting (Pretty Pipes)

e.shaped('8x prettypipes:pipe', ['SGS'], {S: 'caveopolis:mixed_stone_ingot', G: '#forge:glass'}).id('prettypipes:pipe')
e.shaped('1x prettypipes:low_extraction_module', ['H', 'B', 'H'], {B: 'prettypipes:blank_module', H: 'woodenhopper:wooden_hopper'}).id('prettypipes:low_extraction_module')
e.shaped('1x ppfluids:low_fluid_extraction_module', ['H', 'B', 'H'], {B: 'prettypipes:blank_module', H: 'flopper:flopper'}).id('ppfluids:low_fluid_extraction_module')
e.shaped('1x prettypipes:low_retrieval_module', ['L', 'B', 'L'], {B: 'prettypipes:blank_module', L: 'prettypipes:low_extraction_module'}).id('prettypipes:low_retrieval_module')
e.shaped('1x ppfluids:low_fluid_retrieval_module', ['L', 'B', 'L'], {B: 'prettypipes:blank_module', L: 'ppfluids:low_fluid_extraction_module'}).id('ppfluids:low_fluid_retrieval_module')
e.shaped('prettypipes:wrench', ['PS ', 'SS ', '  S'], {P: 'prettypipes:pipe', S: 'caveopolis:mixed_stone_ingot'}).id('prettypipes:wrench')

e.replaceInput({id: 'prettypipes:stack_size_module'}, 'minecraft:redstone', 'caveopolis:mixed_stone_ingot')
e.replaceInput({id: 'prettypipes:stack_size_module'}, 'minecraft:dropper', 'woodenhopper:wooden_hopper')
e.replaceInput({id: 'prettypipes:pressurizer'}, 'prettypipes:high_speed_module', 'thermal:constantan_plate')

e.replaceInput({id: 'prettypipes:crafting_terminal'}, 'minecraft:redstone', 'minecraft:prismarine_crystals')
e.shaped('prettypipes:item_terminal', ['MMM', 'PCP', 'MMM'], {C:'#forge:chests/wooden', P: 'minecraft:prismarine_shard', M: 'caveopolis:mixed_stone_ingot'}).id('prettypipes:item_terminal')

//Misc Recipes

e.shaped('1x minecraft:black_dye', ['C'], {C: 'cosmopolis:mini_coal'}).id('caveopolis:black_dye_1')
e.shaped('1x minecraft:black_dye', ['C'], {C: 'cosmopolis:mini_charcoal'}).id('caveopolis:black_dye_2')
e.shaped('1x quark:diamond_heart', [' D ', 'DDD', ' D '], {D: 'minecraft:diamond'})


e.shaped('4x minecraft:blackstone', [' B ','B B', ' B '], {B: 'caveopolis:black_colored_stone'}).id('caveopolis:blackstone')

e.shaped(Item.of('patchouli:guide_book', '{"patchouli:book":"patchouli:caveopolis"}'), ['B'], {B: '#caveopolis:pebble'}).id('caveopolis:guide_book')

e.shaped('4x minecraft:chest', ['WWW','W W', 'WWW'], {W: '#minecraft:logs'}).id('caveopolis:chests_from_logs')
e.shaped('16x minecraft:stick', ['W','W'], {W: '#minecraft:logs'}).id('caveopolis:sticks_from_logs')

e.shaped('minecraft:calcite', [' B ','BSB', ' B '], {B: 'minecraft:bone_meal', S: 'minecraft:stone'}).id('caveopolis:calcite')
e.shaped('caveopolis:bright_stone', [' B ','BSB', ' B '], {B: 'caveopolis:bright_shard', S: 'minecraft:stone'}).id('caveopolis:bright_stone')
e.shaped('flopper:flopper', ['S S','SHS', ' S '], {S: 'caveopolis:mixed_stone_ingot', H: 'woodenhopper:wooden_hopper'}).id('flopper:recipes/flopper')
e.shaped('minecraft:prismarine_crystals', [' B ','BPB', ' B '], {B: 'caveopolis:bright_shard', P: 'minecraft:prismarine_shard'}).id('caveopolis:prismarine_crystals')
e.shaped('minecraft:skeleton_skull', [' B ','BLB', ' B '], {B: 'minecraft:bone', L: 'minecraft:bone_block'}).id('caveopolis:skeleton_skull')
e.shaped('minecraft:wither_skeleton_skull', [' B ','BLB', ' B '], {B: 'caveopolis:withering_dust', L: 'minecraft:skeleton_skull'}).id('caveopolis:wither_skeleton_skull')

e.shapeless('caveopolis:raw_mixed_stone', ['caveopolis:andesite_pebble', 'caveopolis:stone_pebble', 'caveopolis:granite_pebble', 'caveopolis:diorite_pebble'])

e.shaped('caveopolis:ore_extractor_upgrade_base', ['MMM'], {M: 'caveopolis:mixed_stone_ingot'}).id('caveopolis:ore_extractor_upgrade_base')
e.shaped('caveopolis:ore_extractor_upgrade_tier_1', ['RBR', 'BUB', 'RBR'], {B: 'thermal:bitumen', U:'caveopolis:ore_extractor_upgrade_base', R:'minecraft:red_sandstone'}).id('caveopolis:ore_extractor_upgrade_tier_1')
e.shaped('caveopolis:ore_extractor_upgrade_tier_2', ['RBR', 'BUB', 'RBR'], {B: 'thermal:steel_ingot', U:'caveopolis:ore_extractor_upgrade_base', R:'minecraft:ice'}).id('caveopolis:ore_extractor_upgrade_tier_2')
e.shaped('caveopolis:ore_extractor_upgrade_tier_3', ['RBR', 'BUB', 'RBR'], {B: 'fluxnetworks:flux_block', U:'caveopolis:ore_extractor_upgrade_base', R:'caveopolis:bedrock_fragment'}).id('caveopolis:ore_extractor_upgrade_tier_3')
e.shaped('caveopolis:ore_extractor_upgrade_tier_4', ['RBR', 'BUB', 'RBR'], {B: 'minecraft:dragon_breath', U:'caveopolis:ore_extractor_upgrade_base', R:'minecraft:popped_chorus_fruit'}).id('caveopolis:ore_extractor_upgrade_tier_4')
e.shaped('caveopolis:ore_extractor_upgrade_blazing', ['BDB', 'DUD', 'BDB'], {B: 'minecraft:blaze_rod', D:'minecraft:blaze_powder', U:'caveopolis:ore_extractor_upgrade_base'}).id('caveopolis:ore_extractor_upgrade_blaze')

e.shaped('minecraft:end_portal_frame', ['E E', 'SSS', 'SSS'], {E: 'thermal:enderium_ingot', S:'minecraft:end_stone'}).id('caveopolis:end_portal_frame')

e.shaped('2x fluxnetworks:flux_dust', [' B ', 'BRB', ' B '], {R: 'minecraft:redstone', B:'caveopolis:bedrock_fragment'}).id('caveopolis:flux_powder')

e.replaceInput({id: 'morevanillalib:obsidian_compress'}, '#forge:dusts/obsidian', 'morevanillalib:obsidian_shard')

//Drawers

e.replaceInput({id: 'storagedrawers:drawer_key'}, 'minecraft:gold_ingot', 'caveopolis:mixed_stone_ingot')
e.replaceInput({id: 'storagedrawers:drawer_key'}, 'minecraft:gold_nugget', 'caveopolis:mixed_stone_nugget')
e.replaceInput({id: 'storagedrawers:void_upgrade'}, 'minecraft:obsidian', '#forge:stone')

//Powah

e.replaceInput({id: 'powah:energizing/uraninite_from_raw'}, 'powah:uraninite_raw', 'mekanism:ingot_uranium')
e.replaceInput({id: 'powah:energizing/energized_steel'}, 'minecraft:iron_ingot', 'thermal:steel_ingot')
e.replaceInput({id: 'powah:energizing/energized_steel'}, 'minecraft:gold_ingot', 'thermal:electrum_ingot')

//Thermal

e.replaceInput({id: 'thermal:armor/diving_helmet'}, 'minecraft:gold_ingot', '#forge:ingots/bronze')
e.replaceInput({id: 'thermal:armor/diving_chestplate'}, 'minecraft:gold_ingot', '#forge:ingots/bronze')
e.replaceInput({id: 'thermal:armor/diving_leggings'}, 'minecraft:gold_ingot', '#forge:ingots/bronze')
e.replaceInput({id: 'thermal:armor/diving_boots'}, 'minecraft:gold_ingot', '#forge:ingots/bronze')
e.replaceInput({id: 'thermal:armor/diving_boots'}, 'minecraft:leather', 'thermal:diving_fabric')
e.replaceInput({id: 'thermal:armor/hazmat_boots'}, 'minecraft:leather', 'thermal:hazmat_fabric')

e.replaceInput({id: 'thermal:flux_capacitor'}, 'thermal:rf_coil', 'minecraft:redstone_block')
e.replaceInput({id: 'thermal:energy_cell_frame'}, 'thermal:electrum_gear', 'thermal:flux_capacitor')
e.replaceInput({id: 'thermal:fluid_cell_frame'}, 'thermal:iron_gear', 'minecraft:bucket')
e.replaceInput({id: 'thermal:press_gear_die'}, 'thermal:diamond_gear', 'minecraft:iron_ingot')
e.replaceInput({id: 'thermal:press_unpacking_die'}, '#minecraft:planks', 'minecraft:magma_block')

e.replaceInput({id: 'thermal:machine_frame'}, 'minecraft:iron_ingot', 'minecraft:blaze_rod')
e.replaceInput({id: 'thermal:rf_coil'}, 'minecraft:gold_ingot', 'minecraft:blaze_rod')
e.replaceInput({id: 'thermal:machine_smelter'}, '#forge:sand', '#forge:coal_coke')
e.replaceInput({id: 'thermal:device_tree_extractor'}, 'thermal:redstone_serveo', 'thermal:rf_coil')

e.shaped('4x thermal:diving_fabric', [' S ', 'SPS', ' S '], {S: 'minecraft:string', P:'minecraft:prismarine_crystals'}).id('thermal:diving_fabric')
e.shaped('4x thermal:hazmat_fabric', [' S ', 'SPS', ' S '], {S: 'minecraft:string', P:'thermal:cured_rubber'}).id('thermal:hazmat_fabric')


e.recipes.thermal.smelter('minecraft:ender_eye', ['minecraft:ender_pearl', '2x minecraft:blaze_powder']).energy(2000).id('minecraft:ender_eye')
e.recipes.thermal.smelter('8x powah:dielectric_paste', ['thermal:electrum_ingot', '#caveopolis:gems', 'fluxnetworks:flux_dust']).energy(4000).id('powah:crafting/dielectric_paste')


e.replaceInput({id: 'thermal:machine_chiller'}, 'minecraft:packed_ice', 'minecraft:water_bucket')

e.shaped('thermal:machine_press', [' A ', 'IEI', 'SSS'], {A: 'minecraft:anvil', E: 'thermal:energy_cell_frame', I: 'thermal:invar_ingot', S:'caveopolis:mixed_stone_ingot'}).id('thermal:machine_press')
e.shaped('thermal:device_water_gen', ['LCL', 'SBS', 'SSS'], {B: Item.of('custommachinery:custom_machine_item', '{machine:"caveopolis:basic_barrel"}'), L: 'minecraft:lapis_lazuli', C: 'minecraft:coal', S:'caveopolis:mixed_stone_ingot'}).id('thermal:device_water_gen')
e.remove({id:'thermal:machines/pyrolyzer/pyrolyzer_coal'})

e.recipes.thermal.press(Fluid.of('thermal:latex', 50), '#forge:slimeballs')

e.recipes.thermal.press(`thermal:diamond_gear`, ['4x minecraft:diamond', 'thermal:press_gear_die']).energy(2400).id(`caveopolis:press_diamond`)
e.recipes.thermal.press(`thermal:emerald_gear`, ['4x minecraft:emerald', 'thermal:press_gear_die']).energy(2400).id(`caveopolis:press_emerald`)
e.recipes.thermal.press(`thermal:quartz_gear`, ['4x minecraft:quartz', 'thermal:press_gear_die']).energy(2400).id(`caveopolis:press_quartz`)
e.recipes.thermal.press(`thermal:lapis_gear`, ['4x minecraft:lapis_lazuli', 'thermal:press_gear_die']).energy(2400).id(`caveopolis:press_lapis`)

//Mekanism

e.replaceInput({id: 'mekanism:transmitter/universal_cable/basic'}, '#forge:ingots/steel', '#forge:plates/constantan')
e.replaceInput({id: 'mekanism:transmitter/mechanical_pipe/basic'}, '#forge:ingots/steel', '#forge:plates/constantan')
e.replaceInput({id: 'mekanism:transmitter/pressurized_tube/basic'}, '#forge:ingots/steel', '#forge:plates/constantan')
e.replaceInput({id: 'mekanism:transmitter/logistical_transporter/basic'}, '#forge:ingots/steel', '#forge:plates/constantan')
e.replaceInput({id: 'mekanism:transmitter/logistical_transporter/basic'}, 'mekanism:basic_control_circuit', '#forge:plates/invar')

e.replaceInput({id: 'mekanism:steel_casing'}, 'mekanism:ingot_steel', 'powah:steel_energized')
e.replaceInput({id: 'mekanism:steel_casing'}, 'mekanism:ingot_osmium', '#caveopolis:gears')

e.replaceInput({id: 'mekanism:configurator'}, 'minecraft:lapis_lazuli', 'prettypipes:wrench')
e.replaceInput({id: 'mekanism:configurator'}, 'mekanism:energy_tablet', 'thermal:flux_capacitor')
e.replaceInput({id: 'mekanism:configurator'}, 'mekanism:alloy_infused', 'minecraft:redstone')

e.replaceInput({id: 'mekanism:enrichment_chamber'}, 'minecraft:redstone', '#caveopolis:machine_dust')

//Hostiles Networks Living

e.shaped('hostilenetworks:deep_learner', ['SRS','RGR', 'SRS'], {S:'caveopolis:soulsteel_ingot', G: '#forge:glass', R: 'minecraft:redstone'}).id('hostilenetworks:living_matter/deep_learner')
e.replaceInput({id: 'hostilenetworks:living_matter/framework'}, 'minecraft:lapis_lazuli', 'caveopolis:soulsteel_ingot')
e.replaceInput({id: 'hostilenetworks:living_matter/framework'}, 'minecraft:smooth_stone', 'minecraft:glowstone_dust')
e.replaceInput({id: 'hostilenetworks:living_matter/framework'}, 'minecraft:repeater', 'caveopolis:mixed_stone_ingot')
e.shaped('12x hostilenetworks:empty_prediction', ['SAS','AAA', 'SAS'], {S:'caveopolis:soulsteel_ingot', A: 'minecraft:tinted_glass'}).id('hostilenetworks:living_matter/matrix')
e.shaped('hostilenetworks:sim_chamber', ['GGG','DMD', 'SSS'], {M: Item.of('custommachinery:custom_machine_item', '{machine:"caveopolis:soul_forge"}'), S:'caveopolis:soulsteel_ingot', D:'hostilenetworks:blank_data_model', G: 'minecraft:tinted_glass'}).id('hostilenetworks:living_matter/sim_chamber')
e.shaped('hostilenetworks:loot_fabricator', ['GGG','DMD', 'SSS'], {M: Item.of('custommachinery:custom_machine_item', '{machine:"caveopolis:soul_forge"}'), S:'caveopolis:soulsteel_ingot', D:'hostilenetworks:end_prediction', G: 'minecraft:tinted_glass'}).id('hostilenetworks:living_matter/loot_fabricator')

//Pipez

e.shaped('8x pipez:item_pipe', ['CCC','PPP', 'CCC'], {P:'prettypipes:pipe', C:'thermal:bronze_ingot'}).id('pipez:item_pipe')
e.shaped('8x pipez:fluid_pipe', ['CCC','PPP', 'CCC'], {P:'ppfluids:fluid_pipe', C:'thermal:bronze_ingot'}).id('pipez:fluid_pipe')
e.shaped('8x pipez:energy_pipe', ['CCC','PPP', 'CCC'], {P:'minecraft:redstone', C:'thermal:lead_ingot'}).id('pipez:energy_pipe')
e.shaped('8x pipez:gas_pipe', ['CCC','   ', 'CCC'], {C:'thermal:lead_ingot'}).id('pipez:gas_pipe')
e.replaceInput({id: 'pipez:wrench'}, 'minecraft:flint', 'thermal:lead_ingot')
e.replaceInput({id: 'pipez:universal_pipe'}, 'minecraft:iron_ingot', 'pipez:gas_pipe')
e.replaceInput({id: 'pipez:universal_pipe'}, 'minecraft:redstone_block', 'thermal:constantan_block')

//AE2

e.shaped('32x ae2:certus_crystal_seed', ['QOQ', 'OFO', 'QOQ'], {Q:'minecraft:quartz', O: 'mekanism:dust_osmium', F:'mekanism:dust_fluorite'}).id('ae2:misc/seeds_certus')
e.shaped('32x ae2:fluix_crystal_seed', ['QOQ', 'OFO', 'QOQ'], {Q:'ae2:charged_certus_quartz_crystal', O: 'minecraft:quartz', F:'mekanism:enriched_redstone'}).id('ae2:misc/seeds_fluix')
e.shaped('ae2:charger', ['III', 'QCQ', 'III'], {I:'minecraft:iron_ingot', Q: 'ae2:certus_quartz_crystal', C:'mekanism:steel_casing'}).id('ae2:network/blocks/crystal_processing_charger')
e.shaped('ae2:inscriber', ['QDQ', 'FCF', 'QGQ'], {F: 'ae2:fluix_block', D:'minecraft:diamond_block', G: 'minecraft:gold_block', C:'ae2:charger', Q: 'ae2:quartz_block' }).id('ae2:network/blocks/inscribers')

e.recipes.mekanism.enriching('ae2:sky_dust', 'ae2:fluix_dust')

e.replaceInput({id: 'ae2:network/blocks/controller'}, 'ae2:fluix_crystal', 'ae2:energy_acceptor')
e.replaceInput({id: 'ae2:network/parts/storage_bus'}, 'minecraft:piston', 'ae2:import_bus')
e.replaceInput({id: 'ae2:network/parts/storage_bus'}, 'minecraft:sticky_piston', 'ae2:export_bus')


//Inscriber (AE2)

e.custom({type: "ae2:inscriber", mode: "inscribe", 
    result: {item: "ae2:calculation_processor_press"}, ingredients: {
    middle: {item: "ae2:quartz_block"},
    top: {item: "ae2:certus_quartz_crystal"}
}}).id('ae2:inscriber/calculation_processor_press')

e.custom({type: "ae2:inscriber", mode: "inscribe", 
    result: {item: "ae2:logic_processor_press"}, ingredients: {
    middle: {item: "minecraft:gold_block"},
    top: {item: "minecraft:gold_ingot"}
}}).id('ae2:inscriber/logic_processor_press')

e.custom({type: "ae2:inscriber", mode: "inscribe", 
    result: {item: "ae2:silicon_press"}, ingredients: {
    middle: {item: "ae2:fluix_block"},
    top: {item: "ae2:silicon"}
}}).id('ae2:inscriber/silicon_press')

e.custom({type: "ae2:inscriber", mode: "inscribe", 
    result: {item: "ae2:engineering_processor_press"}, ingredients: {
    middle: {item: "minecraft:diamond_block"},
    top: {item: "minecraft:diamond"}
}}).id('ae2:inscriber/engineering_processor_press')

//Drawers

e.replaceInput({id: 'storagedrawers:controller'}, 'minecraft:stone', 'caveopolis:mixed_stone_ingot')
e.replaceInput({id: 'storagedrawers:controller'}, 'minecraft:diamond', 'caveopolis:bright_shard')
e.replaceInput({id: 'storagedrawers:controller'}, 'minecraft:comparator', '#forge:chests/wooden')

e.replaceInput({id: 'storagedrawers:controller_slave'}, 'minecraft:stone', 'caveopolis:mixed_stone_ingot')
e.replaceInput({id: 'storagedrawers:controller_slave'}, 'minecraft:gold_ingot', 'caveopolis:bright_shard')
e.replaceInput({id: 'storagedrawers:controller_slave'}, 'minecraft:comparator', 'minecraft:copper_ingot')

//Crafting Calculation

e.shaped('jecalculation:item_calculator_craft', ['BBB', 'B B', 'BBB'], {B:'thermal:bronze_ingot'}).id('caveopolis:crafting_calculator')

//Bonsai Pots

e.replaceInput({id: 'bonsaitrees3:bonsaipot'}, 'minecraft:brick', 'caveopolis:mixed_stone_ingot')

//Removes

e.remove({id: 'minecraft:nether_brick'})
e.remove({id: 'prettypipes:blank_module'})
e.remove({id: '/thermal:devices/rock_gen/'})
e.remove({id: '/thermal:fire_charge/'})
e.remove({id: 'thermal:devices/rock_gen/rock_gen_cobblestone'})
e.remove({id: 'thermal:rubber_from_vine'})
e.remove({id: 'thermal:rubber_from_dandelion'})
e.remove({id: 'thermal:devices/tree_extractor/tree_extractor_jungle'})
e.remove({id: 'thermal:machines/press/press_vine_to_latex'})
e.remove({id: 'thermal:machines/press/press_dandelion_to_latex'})
e.remove({id: 'minecraft:netherite_ingot'})
e.remove({id: 'powah:crafting/dielectric_paste_2'})
e.remove({id: /thermal:earth_charge/})
e.remove({id: 'thermal:ice_charge/ice_from_water_bucket'})
e.remove({id: 'morevanillalib:obsidian_shard_decompress'})
e.remove({id: 'hostilenetworks:living_matter/extraterrestrial/nether_star'})
e.remove({output: '#forge:gears', input: '#forge:nuggets'})
e.remove({output: ['powah:energy_cable_starter', 'powah:energy_cable_basic', 'powah:energy_cable_hardened', 'powah:energy_cable_blazing', 'powah:energy_cable_niotic', 'powah:energy_cable_spirited', 'powah:energy_cable_nitro']})
e.remove({output: ['powah:ender_gate_starter', 'powah:ender_gate_basic', 'powah:ender_gate_hardened', 'powah:ender_gate_blazing', 'powah:ender_gate_niotic', 'powah:ender_gate_spirited', 'powah:ender_gate_nitro']})


})